---
sidebar_label: Browser.targets
---

# Browser.targets() method

All active targets inside the Browser. In case of multiple browser contexts, returns an array with all the targets in all browser contexts.

**Signature:**

```typescript
class Browser {
  targets(): Target[];
}
```

**Returns:**

[Target](./puppeteer.target.md)\[\]
